Piwik 0.4.4 – Update mit Hindernissen

Eben wollte ich über die Piwik-Oberfläche das Update durchführen. Doch dank meiner PHP-Konfiguration, open_basedir um genau zu sein, bin ich mit folgender Fehlermeldung hängen geblieben.

Warning: is_writable() [function.is-writable]: open_basedir restriction in effect. File(/var/lib/php5) is not within the allowed path(s)

Im Bugtracker vom Piwik habe ich jedoch schnell die Lösung gefunden. In der Datei index.php, Zeile 55,  muss ein @ hinzugefügt werden, dies unterdrückt die Meldung. Das ist meiner Ansicht nach in diesem Fall legitim. So sieht die geänderte Zeile nun aus, damit alles wieder läuft:

if(!@is_writable(ini_get(‘session.save_path’)))

[Nachtrag]
Mit der Version 0.4.5 wurde dieses Problem behoben, es ist nun kein editieren der Sourcen nötig